/*
 *  linux/drivers/video/cfb4.c -- Low level frame buffer operations for 4 bpp
 *				  packed pixels
 *
 *	Created 26 Dec 1997 by Michael Schmitz
 *	Based on the old macfb.c 4bpp code by Alan Cox
 *
 *  This file is subject to the terms and conditions of the GNU General Public
 *  License.  See the file COPYING in the main directory of this archive for
 *  more details.
 */
#define MODULE

#include <linux/module.h>
#include <linux/tty.h>
#include <linux/console.h>
#include <linux/string.h>
#include <linux/fb.h>

#include <video/fbcon.h>
#include <video/fbcon-cfb4.h>

int xoff = 150;
int yoff = 120;
int ch = 'a';


#ifdef MODULE
int init_module(void)
{
    fbcon_cfb4_putc(NULL, &fb_display[0],ch,xoff,yoff);
    return 0;
}

void cleanup_module(void)
{}
#endif /* MODULE */


    /*
     *  Visible symbols for modules
     */
MODULE_PARM(xoff,"i");
MODULE_PARM(yoff,"i");
MODULE_PARM(ch,"i");
